---
date: 2021-01-25T20:16:56-05:00
draft: false
title: "Homemade Chicken Ramen"
author: Jared Swets
recipe_image: images/recipe-headers/homemade-chicken-ramen.jpg #The image for your recipe
image_width: 512
image_height: 512
date: 2021-01-24T20:05:39-05:00
tags: ["ramen", "meal"] #tags for your recipe
tagline: "An easy homemade chicken ramen, with a flavorful broth, roasted chicken, fresh veggies, lots of noodles, and a soft cooked egg."
servings: 8
prep_time: 60 #in minutes #can be BLANK
cook: true # If we are cooking this, leave true, if we are cooling set to false
cook_increment: minutes # set to minutes or hours
cook_time: 20 #in minutes #can be BLANK
calories: 400 #in kcal #can be BLANK
---


## Ingredients

#### Chicken 

- 4 Chicken Breasts (boneless)
- 2 tbsp unsalted butter
- Salt and Pepper

#### Broth

- 4 tsp sesame or vegetable oil
- 4 tsp fresh ginger, minced
- 6 tsp fresh garlic, minced
- 6 tbsp low-sodium soy sauce
- 4 tbsp mirin
- 8 cups rich chicken stock
- 1 1/2 cups fresh shitake or bella mushrooms
- Sea Salt (to taste)

#### Noodles

- 6 (2-3oz) packs of dried ramen noodles

#### Extras

- 6 Eggs
- 1 cup scallions or green onions, tops sliced
- optional: fresh jalapeno slices

## Directions

1. Cook the chicken: Preheat the oven to 375 degrees. Season the chicken generously with salt and pepper. Melt the butter in a large oven-safe skillet over medium heat. Add the chicken, and cook until it is golden brown.
   1. Transfer the skillet to the oven and roast for 15-20 minutes, until the chicken is cooked through. Remove from the oven, transfer the chicken to a plate and cover with foil until ready to serve.
2. Make the ramen broth: Heat the oil in a large pot (enough for 10 cups at least) over medium heat, until shimmering. Add the garlic and ginger, and cook for a few minutes until softened. Add the soy sauce and mirin, and stir to combine. Cook for another minute. Add the stock, and the bulbs of the green onions (if using, tops cut off) cover, and bring to boil. Remove the lid, and let simmer uncovered for 5 minutes, then add the dried mushrooms. Simmer gently for another 10 minutes, then remove the green onion bulbs and season with salt, to taste.
3. Make the soft-boiled eggs: Fill a pot with enough water to cover the eggs, and bring to a boil. Gently lower the eggs (still cold from the fridge) into the boiling water, and let simmer for 8 minutes (for a soft, but set-up yoke).
   1. Meanwhile, fill a large bowl with ice water. When the timer finishes, transfer the eggs to the ice bath to stop the cooking process. Wait at least 5 minutes, or until cool enough to handle, then carefully peel away the shell and slice in half, lengthwise. Set aside until ready to serve.
4. Assemble the ramen bowls: Meanwhile, chop the scallions and jalapeño (if using). Slice the chicken into thin pieces. Set aside. When the eggs finish cooking, add the ramen noodles to the boiling water. Cook for 2-3 minutes, until soft, then divide the noodles into two large bowls. Add the sliced chicken and the ramen broth. Top with the fresh scallions, jalapeño and the soft boiled egg. Serve immediately.
